### Hierarchy

- Reel

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- container
- counter
- reel
- spec

### Methods

- next
- previous
- render
- setValueToReel

## Constructors

### constructor

- new Reel(message: ISpecification): Reel

- - Defined in lib/renderable/reel/index.ts:21

  #### Parameters

  - ##### message: ISpecification

  #### Returns Reel

## Properties

### Private container

container: HTMLDivElement

- Defined in lib/renderable/reel/index.ts:21

### Private counter

counter: number

- Defined in lib/renderable/reel/index.ts:19

### Private reel

reel: HTMLDivElement

- Defined in lib/renderable/reel/index.ts:20

### Private spec

spec: ISpecification

- Defined in lib/renderable/reel/index.ts:18

## Methods

### next

- next(): void

- - Defined in lib/renderable/reel/index.ts:81

  #### Returns void

### previous

- previous(): void

- - Defined in lib/renderable/reel/index.ts:94

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/reel/index.ts:33

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Private setValueToReel

- setValueToReel(value: any): void

- - Defined in lib/renderable/reel/index.ts:107

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc